Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TexturePackImplementation

    java.lang.Object
      net.minecraft.src.TexturePackImplementation

All Implemented Interfaces:
  TexturePackBase

Direct Known Subclasses:
  TexturePackCustom, TexturePackDefault, TexturePackFolder

    public abstract class TexturePackImplementation

extends Object
implements TexturePackBase

Method Summary
`void` | `bindThumbnailTexture(RenderEngine par1RenderEngine)` Bind the texture id of the pack's thumbnail image, loading it if necessary.
`void` | `deleteTexturePack(RenderEngine par1RenderEngine)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
`String` | `getFirstDescriptionLine()` Get the first line of the texture pack description (read from the pack.txt file)
`InputStream` | `getResourceAsStream(String par1Str)` Gives a texture resource as InputStream.
`String` | `getSecondDescriptionLine()` Get the second line of the texture pack description (read from the pack.txt file)
`String` | `getTexturePackFileName()` Get the file name of the texture pack, or Default if not from a custom texture pack
`String` | `getTexturePackID()` Get the texture pack ID
`int` | `getTexturePackResolution()` Return the texture pack's resolution (16 by default).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### deleteTexturePack

    public void deleteTexturePack(RenderEngine par1RenderEngine)

  Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.

  Specified by:
    `deleteTexturePack` in interface `TexturePackBase`

### bindThumbnailTexture

    public void bindThumbnailTexture(RenderEngine par1RenderEngine)

  Bind the texture id of the pack's thumbnail image, loading it if necessary.

  Specified by:
    `bindThumbnailTexture` in interface `TexturePackBase`

### getResourceAsStream

    public InputStream getResourceAsStream(String par1Str)

  Gives a texture resource as InputStream.

  Specified by:
    `getResourceAsStream` in interface `TexturePackBase`

### getTexturePackID

    public String getTexturePackID()

  Get the texture pack ID

  Specified by:
    `getTexturePackID` in interface `TexturePackBase`

### getTexturePackFileName

    public String getTexturePackFileName()

  Get the file name of the texture pack, or Default if not from a custom texture pack

  Specified by:
    `getTexturePackFileName` in interface `TexturePackBase`

### getFirstDescriptionLine

    public String getFirstDescriptionLine()

  Get the first line of the texture pack description (read from the pack.txt file)

  Specified by:
    `getFirstDescriptionLine` in interface `TexturePackBase`

### getSecondDescriptionLine

    public String getSecondDescriptionLine()

  Get the second line of the texture pack description (read from the pack.txt file)

  Specified by:
    `getSecondDescriptionLine` in interface `TexturePackBase`

### getTexturePackResolution

    public int getTexturePackResolution()

  Return the texture pack's resolution (16 by default). Used only by PlayerUsageSnooper. Presumably meant to be overriden by HD texture mods.

  Specified by:
    `getTexturePackResolution` in interface `TexturePackBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD